
/* classbase.c */
DISPATCHERFLAGS struct IClass *ObtainEmbedEngine ( REGA6 struct ClassBase *cb );
DISPATCHERFLAGS struct Library *LibInit ( REGD0 struct ClassBase *cb , REGA0 BPTR seglist , REGA6 struct ExecBase *sysbase );
DISPATCHERFLAGS LONG LibOpen ( REGA6 struct ClassBase *cb );
DISPATCHERFLAGS LONG LibClose ( REGA6 struct ClassBase *cb );
DISPATCHERFLAGS LONG LibExpunge ( REGA6 struct ClassBase *cb );

/* dispatch.c */
BOOL initClass ( struct ClassBase *cb );
void mysprintf ( struct ClassBase *cb , STRPTR buffer , STRPTR fmt , ...);
DISPATCHERFLAGS ULONG Dispatch ( REGA0 struct IClass *cl , REGA2 Object *o , REGA1 Msg msg );
DISPATCHERFLAGS ULONG SwapMe ( REGA0 struct MyStackSwapStruct *mystk );
DISPATCHERFLAGS ULONG MyDispatch ( REGA0 struct MyStackSwapStruct *mystk );
ULONG parseMethod ( struct ClassBase *cb , struct IClass *cl , Object *o );
ULONG layoutMethod ( struct ClassBase *cb , struct IClass *cl , Object *o , struct gpLayout *gpl );
ULONG notifyAttrChanges ( Object *o , struct GadgetInfo *ginfo , ULONG flags , Tag tag1 , ...);
void DestroyVisibleList ( struct ClassBase *cb , Object *o , struct EmbedInstData *eid );
void CreateVisibleList ( struct ClassBase *cb , Object *o , struct EmbedInstData *eid , struct IBox *domain , struct GadgetInfo *gi );
DISPATCHERFLAGS ULONG DispatchModel ( REGA0 struct IClass *cl , REGA2 Object *o , REGA1 Msg msg );
BOOL IsModelBusy ( struct ClassBase *cb , Object *model );
struct IBox GetRelGadgetBox ( struct IBox *domain , struct ExtGadget *g , struct IBox *absbox );
struct IBox GetAbsGadgetBox ( struct IBox *domain , struct ExtGadget *g , BOOL useBounds );
ULONG DoMemberHitTest ( struct IBox *domain , Object *member , struct gpHitTest *gpht );
BOOL BumpMembers ( struct IClass *cl , Object *o , struct GadgetInfo *gi );
